Public Attributes | List of all members
dfu_boot_info_t Struct Reference
SYSTEM » Device Firmware Update » Structures

Boot information definition. More...

`#include <gr533x_dfu.h>`

## Public Attributes
uint32_t | bin_size
uint32_t | check_sum
uint32_t | load_addr
uint32_t | run_addr
uint32_t | xqspi_xip_cmd
uint32_t | xqspi_speed:4
uint32_t | code_copy_mode:1
uint32_t | system_clk:3
uint32_t | check_image:1
uint32_t | boot_delay:1
uint32_t | signature_algorithm:2
uint32_t | reserved:20

## Detailed Description

Boot information definition.

Definition at line 96 of file gr533x_dfu.h.

## Member Data Documentation

## ◆ bin_size

uint32_t dfu_boot_info_t::bin_size

Definition at line 98 of file gr533x_dfu.h.

## ◆ boot_delay

uint32_t dfu_boot_info_t::boot_delay

bit: 9 boot delay time

Definition at line 107 of file gr533x_dfu.h.

## ◆ check_image

uint32_t dfu_boot_info_t::check_image

bit: 8 check image

Definition at line 106 of file gr533x_dfu.h.

## ◆ check_sum

uint32_t dfu_boot_info_t::check_sum

Definition at line 99 of file gr533x_dfu.h.

## ◆ code_copy_mode

uint32_t dfu_boot_info_t::code_copy_mode

bit: 4 code copy mode

Definition at line 104 of file gr533x_dfu.h.

## ◆ load_addr

uint32_t dfu_boot_info_t::load_addr

Definition at line 100 of file gr533x_dfu.h.

## ◆ reserved

uint32_t dfu_boot_info_t::reserved

bit: 20 reserved

Definition at line 109 of file gr533x_dfu.h.

## ◆ run_addr

uint32_t dfu_boot_info_t::run_addr

Definition at line 101 of file gr533x_dfu.h.

## ◆ signature_algorithm

uint32_t dfu_boot_info_t::signature_algorithm

bit: 10..11 signature algorithm

Definition at line 108 of file gr533x_dfu.h.

## ◆ system_clk

uint32_t dfu_boot_info_t::system_clk

bit: 5..7 system clock

Definition at line 105 of file gr533x_dfu.h.

## ◆ xqspi_speed

uint32_t dfu_boot_info_t::xqspi_speed

bit: 0..3 clock speed

Definition at line 103 of file gr533x_dfu.h.

## ◆ xqspi_xip_cmd

uint32_t dfu_boot_info_t::xqspi_xip_cmd

Definition at line 102 of file gr533x_dfu.h.

The documentation for this struct was generated from the following file:

- gr533x_dfu.h